coherence

## Class Person

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - coherence.Person

- All Implemented Interfaces:
    Comparable<SpecificRecord>, GenericContainer, GenericRecord, IndexedRecord, SpecificRecord

      public class Person
      extends SpecificRecordBase
      implements SpecificRecord

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Person.Builder` RecordBuilder for Person instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `age` Deprecated.
    `String` | `firstname` Deprecated.
    `String` | `lastname` Deprecated.
    `String` | `phone` Deprecated.
    `static Schema` | `SCHEMA$`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Person()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(int field$)`
    `Integer` | `getAge()` Gets the value of the 'age' field.
    `String` | `getFirstname()` Gets the value of the 'firstname' field.
    `String` | `getLastname()` Gets the value of the 'lastname' field.
    `String` | `getPhone()` Gets the value of the 'phone' field.
    `Schema` | `getSchema()`
    `static Person.Builder` | `newBuilder()` Creates a new Person RecordBuilder
    `static Person.Builder` | `newBuilder(Person.Builder other)` Creates a new Person RecordBuilder by copying an existing Builder
    `static Person.Builder` | `newBuilder(Person other)` Creates a new Person RecordBuilder by copying an existing Person instance
    `void` | `put(int field$, Object value$)`
    `void` | `setAge(Integer value)` Sets the value of the 'age' field.
    `void` | `setFirstname(String value)` Sets the value of the 'firstname' field.
    `void` | `setLastname(String value)` Sets the value of the 'lastname' field.
    `void` | `setPhone(String value)` Sets the value of the 'phone' field.

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, equals, get, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SCHEMA$

          public static final Schema SCHEMA$

    - #### firstname

          @Deprecated
          public String firstname

      Deprecated.

    - #### lastname

          @Deprecated
          public String lastname

      Deprecated.

    - #### phone

          @Deprecated
          public String phone

      Deprecated.

    - #### age

          @Deprecated
          public int age

      Deprecated.

  - ### Constructor Detail

    - #### Person

          public Person()

  - ### Method Detail

    - #### getSchema

          public Schema getSchema()

      Specified by:
        `getSchema` in interface `GenericContainer`
      Specified by:
        `getSchema` in class `SpecificRecordBase`

    - #### get

          public Object get(int field$)

      Specified by:
        `get` in interface `IndexedRecord`
      Specified by:
        `get` in class `SpecificRecordBase`

    - #### put

          public void put(int field$,
                 Object value$)

      Specified by:
        `put` in interface `IndexedRecord`
      Specified by:
        `put` in class `SpecificRecordBase`

    - #### getFirstname

          public String getFirstname()

      Gets the value of the 'firstname' field.

    - #### setFirstname

          public void setFirstname(String value)

      Sets the value of the 'firstname' field.
      Parameters:
        `value` - the value to set.

    - #### getLastname

          public String getLastname()

      Gets the value of the 'lastname' field.

    - #### setLastname

          public void setLastname(String value)

      Sets the value of the 'lastname' field.
      Parameters:
        `value` - the value to set.

    - #### getPhone

          public String getPhone()

      Gets the value of the 'phone' field.

    - #### setPhone

          public void setPhone(String value)

      Sets the value of the 'phone' field.
      Parameters:
        `value` - the value to set.

    - #### getAge

          public Integer getAge()

      Gets the value of the 'age' field.

    - #### setAge

          public void setAge(Integer value)

      Sets the value of the 'age' field.
      Parameters:
        `value` - the value to set.

    - #### newBuilder

          public static Person.Builder newBuilder()

      Creates a new Person RecordBuilder

    - #### newBuilder

          public static Person.Builder newBuilder(Person.Builder other)

      Creates a new Person RecordBuilder by copying an existing Builder

    - #### newBuilder

          public static Person.Builder newBuilder(Person other)

      Creates a new Person RecordBuilder by copying an existing Person instance

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.